Множественные уязвимости в vtiger CRM

Дата публикации:
07.09.2006
Дата изменения:
02.09.2008
Всего просмотров:
2494
Опасность:
Высокая
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
CVE-2006-4587
CVE-2006-4588
CVE-2006-4617
CVE-2006-5289
Вектор эксплуатации:
Удаленная
Воздействие:
Межсайтовый скриптинг
Обход ограничений безопасности
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
vtiger CRM 4.x
vtiger CRM 5.x
Уязвимые версии: vtiger CRM 4.2.4 и 5.x, возможно более ранние версии.

Описание:
Уязвимость позволяет удаленному пользователю произвести XSS нападение, обойти некоторые ограничения безопасности и скомпрометировать целевую систему.

1. Уязвимость существует из-за недостаточной обработки входных данных в поле "description" во время создания контакта, и в поле "solution" во время редактирования решения администратором в модулях HelpDesk. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный код сценария в браузере жертвы в контексте безопасности уязвимого сайта.

2. Уязвимость существует из-за ошибки проверки прав доступа к административным модулям приложения. Удаленный авторизованный пользователь может с помощью специально сформированного URL получить доступ к административным модулям приложения.

3. Уязвимость существует из-за недостаточной обработки входных данных в параметре "calpath" в сценарии modules/Calendar/admin/update.php. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный PHP сценарий на целевой системе с привилегиями Web сервера.

URL производителя: www.vtiger.com/index.php?...Itemid=55

Решение: Установите последнюю версию 5.0.4-rc4 с сайта производителя.

Ссылки: Vtiger CRM version 4.2.4 Multiple Vulnerabilities
http://www.security-net.biz/adv/D3906a.txt
http://advisories.echo.or.id/adv/adv54-theday-2006.txt

или введите имя

CAPTCHA